Watch, Follow, &
Connect with Us

For forums, blogs and more please visit our
Developer Tools Community.


Welcome, Guest
Guest Settings
Help

Thread: XE7 Update1 issue with iPhone 6 / 6+ simulator


This question is not answered. Helpful answers available: 2. Correct answers available: 1.


Permlink Replies: 3 - Last Post: Dec 1, 2014 12:45 PM Last Post By: Martin Searancke
Hassan Farzadeh

Posts: 8
Registered: 3/16/00
XE7 Update1 issue with iPhone 6 / 6+ simulator  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Nov 16, 2014 1:01 PM
I have installed XE7 with Update 1 and can certainly see many performance improvements as well as support to iPhone 6 / iPhone 6 plus as targets. I get the error below when I choose iPhone 6 (or 6 plus) as target in IOS Simulator, but if I choose iPhone 4, 5, 5s (Simulator launches in IOS7.1 without issues):

Unable to launch process on 'PAServer IP address' using the parameters from the 'MyProfile' profile.
The following error was returned: 'Please specify exact device preset UUID.'

I have updated PAServer and it is version: 6.1.2.36 and Delphi XE7 version is 21.0.17707.5020

Can someone please try and confirm the above? If so, I will submit it as bug or call for support.

Thanks
Antonio Estevez

Posts: 665
Registered: 4/12/00
Re: XE7 Update1 issue with iPhone 6 / 6+ simulator  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Nov 16, 2014 1:33 PM   in response to: Hassan Farzadeh in response to: Hassan Farzadeh
El 16/11/14 a las 22:01, Hassan Farzadeh escribió:
I have installed XE7 with Update 1 and can certainly see many performance improvements as well as support to iPhone 6 / iPhone 6 plus as targets. I get the error below when I choose iPhone 6 (or 6 plus) as target in IOS Simulator, but if I choose iPhone 4, 5, 5s (Simulator launches in IOS7.1 without issues):

Unable to launch process on 'PAServer IP address' using the parameters from the 'MyProfile' profile.
The following error was returned: 'Please specify exact device preset UUID.'

I have updated PAServer and it is version: 6.1.2.36 and Delphi XE7 version is 21.0.17707.5020

Can someone please try and confirm the above? If so, I will submit it as bug or call for support.

Thanks

Already reported:

https://quality.embarcadero.com/browse/RSP-9716
Jose Antonio Sa...

Posts: 197
Registered: 11/26/01
Re: XE7 Update1 issue with iPhone 6 / 6+ simulator  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Nov 16, 2014 2:24 PM   in response to: Antonio Estevez in response to: Antonio Estevez
I've also reported this

https://quality.embarcadero.com/browse/RSP-9717

I'm unable to run anything in iOS 8.x Simulators.
The application is deployed to the Simulator, but the IDE shows tis error:
"Unable to create process"
Martin Searancke

Posts: 53
Registered: 11/22/02
Re: XE7 Update1 issue with iPhone 6 / 6+ simulator  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Dec 1, 2014 12:45 PM   in response to: Jose Antonio Sa... in response to: Jose Antonio Sa...
I am getting both errors also. XE7 is turning in a nightmare of problems upon issues.
I cant get into the QC links at the moment - is there a work around or fix available?

I had no end of drama trying to get update 1 installed and ended up completely uninstalling the product and reinstalling. All I wanted from update 1 was the fix that allowed an app to be deployed to the app store. That is now fixed but because I don't have a physical iPhone 5 or 6 I need the simulator to generate the screen shots required by Apple. So I am back to not being able to deploy my app.

Martin

Jose Antonio Sanchez Lazaro wrote:
I've also reported this

https://quality.embarcadero.com/browse/RSP-9717

I'm unable to run anything in iOS 8.x Simulators.
The application is deployed to the Simulator, but the IDE shows tis error:
"Unable to create process"

--
Martin Searancke
Dream Solutions
http://www.lightfactory.net
Legend
Helpful Answer (5 pts)
Correct Answer (10 pts)

Server Response from: ETNAJIVE02